"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = "\n# Svgurt CLI Usage & Documentation\n\nSvgurt is open source on [Github](https://github.com/Anemy/svgurt) - help improve these docs. :D\n\n### Installation\n\nInstall svgurt using [NPM](https://nodejs.org/en/download), and add it to your package.json dependencies:\n\n`npm install svgurt --save`\n\nSvgurt can then be used from the command line or programmatically as a module.\n\n### Usage & Configuration\n\nTo run svgurt from command line, navigate to the folder where you have installed svgurt using npm (or anywhere if you use the `-g` flag).\n\nThen run the `svgurt` command and supply a config file name as the first argument.\n\nThe config file can either be stored as `.json` or `.js`.\n```bash\nsvgurt config\n```\n\nAn example of a config file can be found on [Github](https://github.com/Anemy/svgurt/blob/master/test/config.json)\n\nThe available configurations and the defaults are as follows:\n\n```js\n{\n  input: 'image.jpg', // This can be an array of input file names as well. jpg and png are both supported.\n  output: 'svgurt-output', // This is the name of the file svgurt will save to if 'returnSVGString' is 'false'. It will also accept an array sequentially coupled with 'input'.\n  returnSVGString: false, // When true the cli or module will return the svg output as a string instead of saving to a file.\n  \n  // Image Controls\n  blur: 0,\n  grayscale: false,\n  invert: false,\n  'Edge Detection': false,\n  postBlur: 0,\n  posterize: false,\n  posterizeLevels: 5,\n  lowThreshold: 20,\n  highThreshold: 50,\n  applyFractalField: false,\n  fieldOpacity: 0.5,\n  fieldRatioX: 0.01,\n  fieldRatioY: 0.01,\n  fieldRandomSeed: 9661,\n\n  // SVG Controls\n  amplitude: 5,\n  amplitudeRandomness: 0.5,\n  amountOfLines: 150,\n  continuous: false,\n  crossHatch: true,\n  direction: 30,\n  directionRandomness: 0.01,\n  displaceOrigin: false,\n  lineLength: 6,\n  lengthOnColor: true,\n  lengthRandomness: 0.2,\n  minColorRecognized: 50,\n  maxColorRecognized: 200,\n  maxRecursiveDepth: 150,\n  minLineLength: 1,\n  outputScale: 1,\n  randomSeed: 1011,\n  radius: 1.5,\n  radiusOnColor: false,\n  radiusRandomness: 0.25,\n  recursiveAlgorithm: 'fifth', // One of 'first', 'second', 'third', 'fourth', or 'fifth'.\n  renderEveryXPixels: 5,\n  renderEveryYPixels: 5,\n  startAtCenterOfShapes: false,\n  strokeColor: 'rgb(28, 32, 38)',\n  strokeWidth: 1,\n  strokeWidthRandomness: 0.1,\n  svgRenderType: 'RECURSIVE', // One of: 'CIRCLE', 'CURVE', 'LINE', 'RECURSIVE', or 'CONCENTRIC'.\n  wavelength: 3,\n  wavelengthRandomness: 0.5,\n  waves: 3,\n  wavesRandomness: 0.5,\n  applyFractalDisplacement: false,\n  displacementAmount: 5,\n  fractalRatioX: 0.01,\n  fractalRatioY: 0.01,\n  fractalRandomSeed: 9996,\n  autoColor: false,\n  circleArcs: 200,\n  intensityWeight: 100000,\n  radiusStep: '5'\n}\n```\n";